Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSynchronizedTemplates2D Class Reference

`#include <vtkSynchronizedTemplates2D.h>`

Inheritance diagram for vtkSynchronizedTemplates2D:

[legend]
Collaboration diagram for vtkSynchronizedTemplates2D:

[legend]
List of all members.

## Detailed Description

generate isoline(s) from a structured points set

Date:
  2003/01/09 19:21:05

Revision:
  1.26

vtkSynchronizedTemplates2D is a 2D implementation of the synchronized template algorithm. Note that vtkContourFilter will automatically use this class when appropriate if vtk was built with patents.

Warning:
  This filter is specialized to 2D images.

See also:
  vtkContourFilter vtkSynchronizedTemplates3D

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (78%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Patented/vtkSynchronizedTemplates2D.h)`
  - .`cxx` (`/Patented/vtkSynchronizedTemplates2D.cxx)`

Definition at line 65 of file vtkSynchronizedTemplates2D.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long int | GetMTime ()
void | SetValue (int i, float value)
float | GetValue (int i)
float * | GetValues ()
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
void | GetValues (float *contourValues)
void | SetNumberOfContours (int number)
int | GetNumberOfContours ()
void | GenerateValues (int numContours, float range[2])
void | GenerateValues (int numContours, float rangeStart, float rangeEnd)
virtual void | SetComputeScalars (int)
virtual int | GetComputeScalars ()
virtual void | ComputeScalarsOn ()
virtual void | ComputeScalarsOff ()
## Static Public Methods
vtkSynchronizedTemplates2D * | New ()
int | IsTypeOf (const char *type)
vtkSynchronizedTemplates2D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSynchronizedTemplates2D ()
| ~vtkSynchronizedTemplates2D ()
void | Execute ()
virtual void | SetInputScalarsSelection (const char *)
virtual char * | GetInputScalarsSelection ()
void | SelectInputScalars (const char *fieldName)
## Protected Attributes
vtkContourValues * | ContourValues
int | ComputeScalars
char * | InputScalarsSelection
## Friends
class VTK_PATENTED_EXPORT | vtkKitwareContourFilter

## Member Typedef Documentation

typedef vtkPolyDataSource vtkSynchronizedTemplates2D::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 69 of file vtkSynchronizedTemplates2D.h.

## Constructor & Destructor Documentation

vtkSynchronizedTemplates2D::vtkSynchronizedTemplates2D | ( |  | ) | `[protected]`

vtkSynchronizedTemplates2D::~vtkSynchronizedTemplates2D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkSynchronizedTemplates2D* vtkSynchronizedTemplates2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkSynchronizedTemplates2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkSynchronizedTemplates2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkSynchronizedTemplates2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkSynchronizedTemplates2D* vtkSynchronizedTemplates2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkSynchronizedTemplates2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

void vtkSynchronizedTemplates2D::SetInput | ( | vtkImageData * | input | ) |

| Set / get the input data or filter.

vtkImageData* vtkSynchronizedTemplates2D::GetInput | ( |  | ) |

| Set / get the input data or filter.

unsigned long int vtkSynchronizedTemplates2D::GetMTime | ( |  | ) | `[virtual]`

| Because we delegate to vtkContourValues Reimplemented from vtkObject.

void vtkSynchronizedTemplates2D::SetValue | ( | int | i,
|  | float | value
| ) | `[inline]`

| Set a particular contour value at contour number i. The index i ranges between 0<=i<NumberOfContours. Definition at line 83 of file vtkSynchronizedTemplates2D.h.

float vtkSynchronizedTemplates2D::GetValue | ( | int | i | ) | `[inline]`

| Get the ith contour value. Definition at line 86 of file vtkSynchronizedTemplates2D.h.

float* vtkSynchronizedTemplates2D::GetValues | ( |  | ) | `[inline]`

| Get a pointer to an array of contour values. There will be GetNumberOfContours() values in the list. Definition at line 90 of file vtkSynchronizedTemplates2D.h.

void vtkSynchronizedTemplates2D::GetValues | ( | float * | contourValues | ) | `[inline]`

| Fill a supplied list with contour values. There will be GetNumberOfContours() values in the list. Make sure you allocate enough memory to hold the list. Definition at line 96 of file vtkSynchronizedTemplates2D.h.

void vtkSynchronizedTemplates2D::SetNumberOfContours | ( | int | number | ) | `[inline]`

| Set the number of contours to place into the list. You only really need to use this method to reduce list size. The method SetValue() will automatically increase list size as needed. Definition at line 104 of file vtkSynchronizedTemplates2D.h.

int vtkSynchronizedTemplates2D::GetNumberOfContours | ( |  | ) | `[inline]`

| Get the number of contours in the list of contour values. Definition at line 110 of file vtkSynchronizedTemplates2D.h.

void vtkSynchronizedTemplates2D::GenerateValues | ( | int | numContours,
|  | float | range[2]
| ) | `[inline]`

| Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values. Definition at line 117 of file vtkSynchronizedTemplates2D.h.

void vtkSynchronizedTemplates2D::GenerateValues | ( | int | numContours,
|  | float | rangeStart,
|  | float | rangeEnd
| ) | `[inline]`

| Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values. Definition at line 124 of file vtkSynchronizedTemplates2D.h.

virtual void vtkSynchronizedTemplates2D::SetComputeScalars | ( | int |  | ) | `[virtual]`

| Option to set the point scalars of the output. The scalars will be the iso value of course. By default this flag is on.

virtual int vtkSynchronizedTemplates2D::GetComputeScalars | ( |  | ) | `[virtual]`

| Option to set the point scalars of the output. The scalars will be the iso value of course. By default this flag is on.

virtual void vtkSynchronizedTemplates2D::ComputeScalarsOn | ( |  | ) | `[virtual]`

| Option to set the point scalars of the output. The scalars will be the iso value of course. By default this flag is on.

virtual void vtkSynchronizedTemplates2D::ComputeScalarsOff | ( |  | ) | `[virtual]`

| Option to set the point scalars of the output. The scalars will be the iso value of course. By default this flag is on.

virtual char* vtkSynchronizedTemplates2D::GetInputScalarsSelection | ( |  | ) | `[protected, virtual]`

| If you want to contour by an arbitrary array, then set its name here. By default this in NULL and the filter will use the active scalar array.

void vtkSynchronizedTemplates2D::SelectInputScalars | ( | const char * | fieldName | ) | `[inline, protected]`

| If you want to contour by an arbitrary array, then set its name here. By default this in NULL and the filter will use the active scalar array. Definition at line 145 of file vtkSynchronizedTemplates2D.h.

void vtkSynchronizedTemplates2D::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

virtual void vtkSynchronizedTemplates2D::SetInputScalarsSelection | ( | const char * |  | ) | `[protected, virtual]`

## Friends And Related Function Documentation

friend class VTK_PATENTED_EXPORT vtkKitwareContourFilter`[friend]`

| Definition at line 159 of file vtkSynchronizedTemplates2D.h.

## Member Data Documentation

vtkContourValues* vtkSynchronizedTemplates2D::ContourValues`[protected]`

| Definition at line 150 of file vtkSynchronizedTemplates2D.h.

int vtkSynchronizedTemplates2D::ComputeScalars`[protected]`

| Definition at line 152 of file vtkSynchronizedTemplates2D.h.

char* vtkSynchronizedTemplates2D::InputScalarsSelection`[protected]`

| Definition at line 154 of file vtkSynchronizedTemplates2D.h.

The documentation for this class was generated from the following file:

- Patented/vtkSynchronizedTemplates2D.h